Bondery Docs
API reference_generatedcontacts/important-dates/upcoming

/contacts/important-dates/upcoming

GET
/contacts/important-dates/upcoming

List upcoming important-date reminders with notifications configured.

Authorization

AuthorizationBearer <token>

Better Auth session access token (OAuth 2.1) from the webapp or mobile app. Send as Authorization: Bearer <access_token>.

In: header

Query Parameters

avatarQuality?string

Value in

  • "low"
  • "medium"
  • "high"
avatarSize?string

Value in

  • "small"
  • "medium"
  • "large"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contacts/important-dates/upcoming"
{  "reminders": [    {      "importantDate": {        "createdAt": "2026-01-15T12:00:00.000Z",        "date": "1815-12-10",        "id": "aa0e8400-e29b-41d4-a716-446655440004",        "note": "Send a card",        "notifyDaysBefore": 7,        "notifyOn": "2026-12-03",        "personId": "550e8400-e29b-41d4-a716-446655440000",        "type": "birthday",        "updatedAt": "2026-01-15T12:00:00.000Z",        "userId": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"      },      "notificationSent": false,      "notificationSentAt": null,      "person": {        "avatar": null,        "firstName": "Ada",        "id": "550e8400-e29b-41d4-a716-446655440000",        "lastName": "Lovelace"      }    }  ]}